Package org.bgerp.model.process.queue.filter

# Class FilterLinkObject

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.model.process.queue.filter.Filter
org.bgerp.model.process.queue.filter.FilterLinkObject

public class FilterLinkObject extends Filter

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `WHAT_FILTER_ID`
  `static final String`
  `WHAT_FILTER_TITLE`

  ### Fields inherited from class org.bgerp.model.process.queue.filter.Filter

  `configMap, ON_EMPTY_VALUES, VALUES`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterLinkObject(int id, ConfigMap filter, String objectType, String whatFilter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getObjectType()`
  `String`
  `getParamName()`
  `String`
  `getWhatFilter()`

  ### Methods inherited from class org.bgerp.model.process.queue.filter.Filter

  `apply, getAvailableValues, getConfigMap, getDefaultValues, getId, getOnEmptyValues, getTitle, getType, getValues, getValues, getWidth, isShow`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WHAT_FILTER_ID

    public static final String WHAT_FILTER_ID
    See Also:
      - Constant Field Values

  - ### WHAT_FILTER_TITLE

    public static final String WHAT_FILTER_TITLE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FilterLinkObject

    public FilterLinkObject(int id, ConfigMap filter, String objectType, String whatFilter)

- ## Method Details

  - ### getObjectType

    public String getObjectType()

  - ### getWhatFilter

    public String getWhatFilter()

  - ### getParamName

    public String getParamName()